// all required QT bindings
Importer.loadQtBinding('qt.core');
Importer.loadQtBinding('qt.gui');
Importer.loadQtBinding('qt.network');

var languageFile = 'lang/' + QLocale.system().name().substring(0, 2) + '.js';

// check if language-file exists - if not fallback to en.js
if (!(QFile.exists(languageFile)))
{
	languageFile = 'lang/en.js';
}

// Importer stuff - surround with catch-blocks so we can display an error message to the user
try
{
	Importer.include(languageFile);
	Importer.include('settings.js');
	Importer.include('lyrixSites.js');
	Importer.include('getLyrix.js');
	Importer.include('sites/lyricwiki.js');
	Importer.include('sites/sing365.js');
	Importer.include('sites/lyricsdownload.js');
}
catch (err)
{
	Amarok.alert(err);
}

/**
  * prints debugging info (only used by developers)
  */
function showDebugInfo(text)
{
	// NOTE: change to true if you want to see debugging messages
	if (false)
	{
		Amarok.Window.Statusbar.longMessage(text);
	}

	Amarok.debug(text);
}

/*
	// add options to tools menu
	// TODO: FIXME: settings.js: implement settings menu

	Amarok.Window.addSettingsSeparator();
	Amarok.Window.addSettingsMenu('XS_script_settings', XL_CONFIGURE, null);
	var menuSettingsItemConfigureLyrix = Amarok.Window.SettingsMenu.XS_script_settings;
	menuSettingsItemConfigureLyrix['triggered()'].connect(lyrixSettings);
*/

Amarok.Lyrics.fetchLyrics.connect(getLyrix);