/**
  * returns an array with informations about this plugin
  */
var lyricsdownloadGetInfo = function lyricsdownloadGetInfoFunction()
{
	var info = new Array();

	info['siteName'] = 'lyricsdownload';
	info['siteURL'] = 'http://www.lyricsdownload.com/';
	info['author'] = 'darklight';

	return info;
}

/**
  * callback for the Downloader once it finished
  * this will parse the downloaded date and set the lyrics (if possible)
  *
  * dat: downloaded data (which should contain the lyrics)
  */
var lyricsdownloadOnFinish = function lyricsdownloadOnFinishFunction(dat)
{
	showDebugInfo(XL_FETCHING_LYRICS_WITH_PLUGIN + ' ' + lyricsdownloadGetInfo()['siteName']);

	try
	{
		if (dat.length == 0)
		{
			// connection to lyrics server failed - output message
			Amarok.Lyrics.showLyricsError(XL_COULD_NOT_CONNECT_TO_SERVER);
		}
		else
		{
			// lyrics were found on the page
			if (dat.indexOf('lyricsdownload') >= 0 && dat.indexOf('Most Searched') < 0)
			{
				plainLyrics = dat.replace(/.*customCSS\"\>/i, ''); // remove everything before + including customCSS">
				plainLyrics = plainLyrics.toString().replace(/\<\/div.*/i, ''); // replace everything starting at </div

				artistURL = dat.replace(/.*\!\:\</i, ''); // remove everything before/including !:<
				artistURL = artistURL.toString().replace(/\"\>.*/i, ''); // remove everything after ">
				artistURL = artistURL.toString().replace(/.*\"/i, ''); // remove everything before "

				songURL = dat.replace(/.*\.php\?u\=/, ''); // remove everything ending at .php?u=
				songURL = songURL.toString().replace(/\".*/, ''); // remove everything after "

				// convert plain to HTML lyrics
				htmlLyrics = plainToHtmlLyrics(plainLyrics, songURL, artistURL);

				showDebugInfo(htmlLyrics);
				Amarok.Lyrics.showLyricsHtml(htmlLyrics);

				return;
			}
			else
			{
				showDebugInfo(XL_LYRICS_NOT_FOUND + ' "lyricsdownload"');
			}
		}
	}
	catch (err)
	{
		Amarok.Lyrics.showLyricsError(XL_FETCH_LYRIX_EXCEPTION + ' ' + err);
		Amarok.debug('error: ' + err);
	}

	getNextLyrix();
}

/**
  * returns an URL where the lyrics for artist - title can be found
  *
  * artist: the artist's name
  * title: the song's title
  */
var lyricsdownloadGetURL = function lyricsdownloadGetURLFunction(artist, title)
{
	// replace spaces with minus'
	var cleanArtist = artist.toLowerCase().replace(/\ /g, '-');
	var cleanTitle = title.toLowerCase().replace(/\ /g, '-');

	return new QUrl(lyricsdownloadGetInfo()['siteURL'] + cleanArtist + '-' + cleanTitle + '-lyrics.html');
}