/**
  * returns an array with informations about this plugin
  */
var lyricwikiGetInfo = function lyricwikiGetInfoFunction()
{
	var info = new Array();

	info['siteName'] = 'LyricWiki';
	info['siteURL'] = 'http://lyricwiki.org/';
	info['author'] = 'darklight';

	return info;
}

/**
  * callback for the Downloader once it finished
  * this will parse the downloaded date and set the lyrics (if possible)
  *
  * dat: downloaded data (which should contain the lyrics)
  */
var lyricwikiOnFinish = function lyricwikiOnFinishFunction(dat)
{
	showDebugInfo(XL_FETCHING_LYRICS_WITH_PLUGIN + ' ' + lyricwikiGetInfo()['siteName']);

	try
	{
		if (dat.length == 0)
		{
			// connection to lyrics server failed - output message
			Amarok.Lyrics.showLyricsError(XL_COULD_NOT_CONNECT_TO_SERVER);
		}
		else
		{
			// lyrics were found on the page
			if (dat.indexOf('Not found</pre>') < 0 && dat.indexOf('&amp;action=edit</a>') < 0)
			{
				showDebugInfo(dat);
				Amarok.Lyrics.showLyricsHtml(dat);

				return;
			}
			else
			{
				showDebugInfo(XL_LYRICS_NOT_FOUND + ' "LyricWiki"');
			}
		}
	}
	catch (err)
	{
		Amarok.Lyrics.showLyricsError(XL_FETCH_LYRIX_EXCEPTION + ' ' + err);
		Amarok.debug('error: ' + err);
	}

	getNextLyrix();
}

/**
  * returns an URL where the lyrics for artist - title can be found
  *
  * artist: the artist's name
  * title: the song's title
  */
var lyricwikiGetURL = function lyricwikiGetURLFunction(artist, title)
{
	return new QUrl(lyricwikiGetInfo()['siteURL'] + '/api.php?func=getSong&artist=' + artist + '&song=' + title);
}