/**
  * returns an array with informations about this plugin
  */
var sing365GetInfo = function sing365GetInfoFunction()
{
	var info = new Array();

	info['siteName'] = 'sing365';
	info['siteURL'] = 'http://sing365.com/';
	info['author'] = 'darklight';

	return info;
}

/**
  * callback for the Downloader once it finished
  * this will parse the downloaded date and set the lyrics (if possible)
  *
  * dat: downloaded data (which should contain the lyrics)
  */
var sing365OnFinish = function sing365OnFinishFunction(dat)
{
	showDebugInfo(XL_FETCHING_LYRICS_WITH_PLUGIN + ' ' + sing365GetInfo()['siteName']);

	try
	{
		if (dat.length == 0)
		{
			// connection to lyrics server failed - output message
			Amarok.Lyrics.showLyricsError(XL_COULD_NOT_CONNECT_TO_SERVER);
		}
		else
		{
			// lyrics were found on the page
			if (dat.indexOf('<script>window.google={') < 0 && dat.indexOf('did not match any documents.') < 0)
			{
				plainLyrics = dat.match(/<\/div\>([^\<].*)\<div\ align\=\"center\"\>\<br\>/i);	// match everything in the lyrics div...
														// this div starts with content that matches
														// [^\<]
				plainLyrics = plainLyrics.toString().replace(/.*div\>/i, ''); // remove everything before the lyrics div
				plainLyrics = plainLyrics.toString().replace(/\<div.*/gi, ''); // remove everything after the lyrics div
				plainLyrics = plainLyrics.toString().replace(/\<br\>/gi, ''); // strip duplicate newlines

				artistURL = dat.replace(/Lyrics\"\>Lyrics\<.*/i, ''); // artistURL line ends with Lyrics">Lyrics - remove that + everything after it
				artistURL = artistURL.toString().replace(/.*\<a\ href\=\"\//gi, ''); // remove everything before + including href="
				artistURL = artistURL.toString().replace(/\".*/gi, ''); // remove trailing "
				artistURL =  sing365GetInfo()['siteURL'] + artistURL;

				songURL = dat.match(/var\ url\=\"(.*)\?/i); // match var url="SONGURLHERE?...
				songURL = songURL.toString().replace(/.*var\ url\=\"\//i, ''); // remove leading javascript stuff (not needed)
				songURL = songURL.toString().replace(/\?.*/gi, ''); // remove everything after the ?
				songURL =  sing365GetInfo()['siteURL'] + songURL;

				// convert plain to HTML lyrics
				htmlLyrics = plainToHtmlLyrics(plainLyrics, songURL, artistURL);

				showDebugInfo(htmlLyrics);
				Amarok.Lyrics.showLyricsHtml(htmlLyrics);

				return;
			}
			else
			{
				showDebugInfo(XL_LYRICS_NOT_FOUND + ' "sing365"');
			}
		}
	}
	catch (err)
	{
		Amarok.Lyrics.showLyricsError(XL_FETCH_LYRIX_EXCEPTION + ' ' + err);
		Amarok.debug('error: ' + err);
	}

	getNextLyrix();
}

/**
  * returns an URL where the lyrics for artist - title can be found
  *
  * artist: the artist's name
  * title: the song's title
  */
var sing365GetURL = function sing365GetURLFunction(artist, title)
{
	return new QUrl(buildGoogleFeelingLuckyURL(artist + '+' + title + '+site:' + sing365GetInfo()['siteURL']));
}